# restyle-buffer(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

restyle-buffer - Automatically reformat a buffer's indentation.
restyle-region - Automatically reformat a regions indentation.

## SYNOPSIS

restyle-buffer (esc C-\)
restyle-region

## DESCRIPTION

restyle-buffer automatically re-formats the indentation of a buffer. The indentation only operates if the indentation method is defined with $buffer-indent(5), otherwise the command has no effect.

restyle-region modifies the indentation between point and mark.

## NOTES

restyle-buffer and restyle-region are macros defined in `format.emf`.

## SEE ALSO

indent(2), $buffer-indent(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>